AWS IoT Device SDK C++ v2: Aws::Iotdevicedefenderv1::ReportTask Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotdevicedefenderv1::ReportTask Class Referencefinal

`#include <DeviceDefender.h>`

## Public Member Functions
| ~ReportTask ()
| ReportTask (const ReportTask &)=delete
ReportTask & | operator= (const ReportTask &)=delete
void | StopTask () noexcept
int | StartTask () noexcept
ReportTaskStatus | GetStatus () noexcept
int | LastError () const noexcept

## Public Attributes
OnTaskCancelledHandler | OnTaskCancelled
void * | cancellationUserdata

## Detailed Description

Represents a persistent DeviceDefender V1 task.

## Constructor & Destructor Documentation

## ◆ ~ReportTask()

Aws::Iotdevicedefenderv1::ReportTask::~ReportTask | ( |  | ) |

## ◆ ReportTask()

Aws::Iotdevicedefenderv1::ReportTask::ReportTask | ( | const ReportTask & |  | ) |
| delete

## Member Function Documentation

## ◆ GetStatus()

ReportTaskStatus Aws::Iotdevicedefenderv1::ReportTask::GetStatus | ( |  | ) |
| noexcept

Returns the task status.

## ◆ LastError()

int Aws::Iotdevicedefenderv1::ReportTask::LastError | ( |  | ) | const
| inlinenoexcept

Returns
  the value of the last aws error encountered by operations on this instance.

## ◆ operator=()

ReportTask & Aws::Iotdevicedefenderv1::ReportTask::operator= | ( | const ReportTask & |  | ) |
| delete

## ◆ StartTask()

int Aws::Iotdevicedefenderv1::ReportTask::StartTask | ( |  | ) |
| noexcept

Initiates Defender V1 reporting task.

## ◆ StopTask()

void Aws::Iotdevicedefenderv1::ReportTask::StopTask | ( |  | ) |
| noexcept

Initiates stopping of the Defender V1 task.

## Member Data Documentation

## ◆ cancellationUserdata

void* Aws::Iotdevicedefenderv1::ReportTask::cancellationUserdata

## ◆ OnTaskCancelled

OnTaskCancelledHandler Aws::Iotdevicedefenderv1::ReportTask::OnTaskCancelled

The documentation for this class was generated from the following files:

- devicedefender/include/aws/iotdevicedefender/DeviceDefender.h
- devicedefender/source/DeviceDefender.cpp